/********************************************************************************
 *  Projektname:	AERO
 *  Filename:		HilfsRoutinen.c
 *  Filetyp:		Modul
 ********************************************************************************
 *  Modulname:		HilfsRoutinen.c
 *  Version:		
 *  letzte Aenderung:	
 *  Autor:  		Andreas 
 *  Status:		
 *										
 *  imp. Bezeichner:	
 * 
 *  exp. Bezeichner:
 *  										
 *  Beschreibung:								
 *  -------------								
 *										
 *  Fehler:
 *  -------
 *
 *  Versionsgeschichte:								
 *  -------------------
 *   18.01.93: Da Hartmut bisher noch keine Routine zum selektieren von Objekten
 *             per Maus geschrieben hat, wurde die Routine 'SucheVerbindungen'
 *             geschrieben. Sie f"ugt Zeiger auf alle Koerper der aktuellen
 *             Welt in eine Liste ein.
 ********************************************************************************/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xfwf/ScrList.h>

#include "Welt.h"


/********************************************************************************
 *  global definierte Variablen, die in diesem Modul ben"otigt werden.
 ********************************************************************************/
extern Widget EM_neuesObjekt, EM_selektObjekt, EM_Verbindung, EM_angreifKraft, 
              /* EM_veraenderKraft,*/ EM_gotoAnimation, EM_entferneObjekt, NO_Apply, 
              NO_Undo, NO_Pos_X, NO_Pos_Y, NO_Pos_Z, NO_Param1, NO_Param2, EM_ladeMatTab,
              NO_Param3, NO_ScrollRot, NO_ScrollGruen, NO_ScrollBlau, NO_rotXP, NO_rotXM, 
              NO_rotYP, NO_rotYM, NO_rotZP, NO_rotZM, NO_Pos_X, NO_Pos_Y, NO_Pos_Z, 
              NO_ResetRot, NO_ObjektInfo, NO_Material, EM_entferneVerb, EM_aenderVerb,
              NO_movXP, NO_movXM, NO_movYP, NO_movYM, NO_movZP, NO_movZM, NO_ResetMov,
              NO_neuesMat, NO_showMat, NO_GravLos, NO_MasseLos, EM_entbindeKamera,
              EM_bindeKamera, EM_loescheKraefte, EM_Gruppe, EM_loeseGruppe, EM_selektFirst;
extern TWelt *aktuelleWelt;
extern TKoerper *selektiertesObjekt;


void SelektAllButtons( TBoolean Wert )
{
   XtSetSensitive( EM_neuesObjekt, Wert );
   if( Wert )
   {
      if( selektiertesObjekt != NULL )
      {
	 XtSetSensitive( EM_entferneObjekt, TRUE );
	 XtSetSensitive( EM_angreifKraft, TRUE );
/*	 XtSetSensitive( EM_veraenderKraft, TRUE ); */
	 XtSetSensitive( EM_selektObjekt, TRUE );
	 XtSetSensitive( EM_selektFirst, TRUE );
	 XtSetSensitive( EM_gotoAnimation, TRUE );
	 XtSetSensitive( EM_entbindeKamera, TRUE );
	 XtSetSensitive( EM_bindeKamera, TRUE );
	 XtSetSensitive( EM_loescheKraefte, TRUE );
	 XtSetSensitive( EM_Gruppe, TRUE );
	 XtSetSensitive( EM_loeseGruppe, TRUE );
      }
      if( aktuelleWelt->Welt.Verbindungen != NULL )
      {
	 XtSetSensitive( EM_entferneVerb, Wert );
	 XtSetSensitive( EM_aenderVerb, Wert );
      }
      if(    aktuelleWelt->Welt.Koerper != NULL 
	  && aktuelleWelt->Welt.Koerper->Naechster != NULL )
	 XtSetSensitive( EM_Verbindung, TRUE );
   }
   else
   {
      XtSetSensitive( EM_selektObjekt, FALSE );
      XtSetSensitive( EM_selektFirst, FALSE );
      XtSetSensitive( EM_gotoAnimation, FALSE );
      XtSetSensitive( EM_entferneObjekt, FALSE );
      XtSetSensitive( EM_Verbindung, FALSE );
      XtSetSensitive( EM_angreifKraft, FALSE );
/*      XtSetSensitive( EM_veraenderKraft, FALSE ); */
      XtSetSensitive( EM_entferneVerb, FALSE );
      XtSetSensitive( EM_aenderVerb, FALSE );
      XtSetSensitive( EM_bindeKamera, FALSE );
      XtSetSensitive( EM_entbindeKamera, FALSE );
      XtSetSensitive( EM_loescheKraefte, FALSE );
      XtSetSensitive( EM_Gruppe, FALSE );
      XtSetSensitive( EM_loeseGruppe, FALSE );
   }
}


void toggleNOStatus( TBoolean Wert )
{
   XtVaSetValues( NO_Param1, XtNstring,"              ", NULL );
   XtVaSetValues( NO_Param2, XtNstring,"              ", NULL );
   XtVaSetValues( NO_Param3, XtNstring,"              ", NULL );
   XtVaSetValues( NO_Pos_X,  XtNstring,"              ", NULL );
   XtVaSetValues( NO_Pos_Y,  XtNstring,"              ", NULL );
   XtVaSetValues( NO_Pos_Z,  XtNstring,"              ", NULL );
   XtSetSensitive( NO_GravLos, Wert );
   XtSetSensitive( NO_MasseLos, Wert );
   XtSetSensitive( NO_Apply, Wert );
   XtSetSensitive( NO_Undo, Wert );
   XtSetSensitive( NO_Pos_X, Wert );
   XtSetSensitive( NO_Pos_Y, Wert );
   XtSetSensitive( NO_Pos_Z, Wert );
   XtSetSensitive( NO_Param1, Wert );
   XtSetSensitive( NO_Param2, Wert );
   XtSetSensitive( NO_Param3, Wert );
   XtSetSensitive( NO_ScrollRot, Wert );
   XtSetSensitive( NO_ScrollGruen, Wert );
   XtSetSensitive( NO_ScrollBlau, Wert );
/*   XtSetSensitive( NO_Material, Wert );*/
   XtSetSensitive( NO_rotXP, Wert );
   XtSetSensitive( NO_rotXM, Wert );
   XtSetSensitive( NO_rotYP, Wert );
   XtSetSensitive( NO_rotYM, Wert );
   XtSetSensitive( NO_rotZP, Wert );
   XtSetSensitive( NO_rotZM, Wert );
   XtSetSensitive( NO_ResetRot, Wert );
   XtSetSensitive( NO_movXP, Wert );
   XtSetSensitive( NO_movXM, Wert );
   XtSetSensitive( NO_movYP, Wert );
   XtSetSensitive( NO_movYM, Wert );
   XtSetSensitive( NO_movZP, Wert );
   XtSetSensitive( NO_movZM, Wert );
   XtSetSensitive( NO_ResetMov, Wert );
   XtSetSensitive( NO_neuesMat, Wert );
   XtSetSensitive( NO_showMat, Wert );
   XfwfScrolledListUnhighlightAll( NO_Material);
   if( selektiertesObjekt != NULL )
      XtSetSensitive( EM_ladeMatTab, FALSE );
   else
   {
      XtSetSensitive( EM_ladeMatTab, TRUE );
      XtSetSensitive( NO_showMat, FALSE );
   }
   if( !Wert )
      XtVaSetValues( NO_ObjektInfo, XtNlabel, "no object selected", NULL );
}



/*******************************************************************************
 *  void UeberpruefeWert( TReal *Wert, Widget NO_Param )
 *  TReal *Wert: Zeiger auf einen Wert vom Typ TReal. Der Wert wird als Zeiger 
 *               "ubergeben, damit man den Wert gegebenenfalls ab"andern kann.
 *  Widget NO_Param: Widget zum zugeh"origen Wert.
 *
 *  Beschreibung:
 *  -------------
 *  Die Routine "uberpr"uft den "ubergebenen Wert, ob er gr"o"ser oder gleich 
 *  Null ist. Diese Werte d"urfen bei der Folgeschrittberechnung nicht vorkommen,
 *  denn dort sorgen sie f"ur das Entstehen von einem schwerwiegenden Fehler, der 
 *  zum Abbruch des Programms f"uhren w"urde (Division durch 0).
 ********************************************************************************/

void UeberpruefeWert( TReal *Wert, Widget NO_Param )
{
   char *trans = malloc (20*sizeof(char));
   if( *Wert < 0.0 )
   {
      *Wert = -*Wert;
      fprintf( stderr, "No values below or equal 0.0 allowed!\n");
   }
   else if( *Wert == 0.0 )
      *Wert = 0.01;
   sprintf (trans, "%.3f", *Wert);
   XtVaSetValues (NO_Param, XtNstring, trans, NULL);
   free (trans);
}

