/********************************************************************************
 *  Projektname		: AERO
 *  Filename		: ausgabe.h
 *  Filetyp		: Headerfile
 ********************************************************************************
 *  Modulname		: ausgabe.o
 *  letzte Aenderung	: 27.01.93
 *  Autor		: Horst Stolz (HUS)
 *  Status:		: ungetestetes Dummy-File
 *  
 *  Beschreibung:
 *    Liefert primitive Routinen um einen Zustand, Koerper, Kollisions,
 *    Verbindung, usw. als Text auszugeben.
 *    Und zwar zu Test und Debugging-Zwecken.
 *    Die Ausgabe erfolgt deswegen in den Fehlerkanal.
 * 
 ********************************************************************************/
#ifndef AUSGABE_H
#define AUSGABE_H

#ifndef GRUNDTYPEN_H
#include "grundtypen.h"
#endif

void printvektor(char *s, TVektor v);
void printmatrix(char *s, TMatrix m);
void printeulerpar(char *s, TQuaternion q);
void printkollision(TKollision *kh);
void printkolliste(TKollision *k);
void printkoerper(TKoerper *k);
void printkoeliste(TKoerper *k);
void printverbindung(TVerbindung *v);
void printverbliste(TVerbindung *v);
void printzustand(TZustand *z); 

#endif
