/********************************************************************************
 *  Projektname		: AERO
 *  Filename		: beispielskoerper.h
 *  Filetyp		: C-Source
 ********************************************************************************
 *  Modulname		: beispielskoerper.h
 *  Version           	: 0.0.1
 *  letzte Aenderung	: 11.2.92
 *  Autor		: Hartmut
 *  Status:		: ungetestetes Dummy-File
 *  
 *  Beschreibung:
 *  Hilfsfile mit sich staendig aendernden Beispielszustaenden, die von mini.c
 *  geladen werden, um die Darstellungs- und Animations-Routinen zu testen.
 *
 *  Noch zu machen:
 *
 *  Versionsgeschichte:
 *  
 ********************************************************************************/

#include "zustand.h"
#include "koerper.h"


TKoerper k2 = {
     0L,				  /* *Naechster */
     ZYLINDER,				  /* Art */
     { {0.4, 0.1, 0.0} },		  /* Form */
     0,					  /* Material */
     1.0,				  /* Masse (ist mir ganz egal) */
     {-0.8, 0.7, 2.0},                     /* Position */
     {0, 0, 0},				  /* Geschwindigkeit */
     {0, 0, 0},				  /* Drehgeschwindigkeit (egal) */
/*     {1, 0, 0, 0},	*/		  /* Lage (Quaternion) */
     {0.96592583, 0, 0.25881905, 0},
     {0, 0, 0},				  /* Beschleunigung */
     {0, 0, 0},				  /* Drehbeschleunigung */
     0,					  /* AStatus */
     50000, 0, 0			  /* R, G, B */

};

TKoerper k1 = {
     &k2,				  /* *Naechster */
     QUADER,				  /* Art */
     { {0.3, 0.2, 0.4} },		  /* Form */
     1,					  /* Material (ist mir momentan egal) */
     1.0,				  /* Masse (ist mir ganz egal) */
     {0.8, 0.5, 0.0},                     /* Position */
     {0, 0, 0},				  /* Geschwindigkeit */
     {0, 0, 0},				  /* Drehgeschwindigkeit (egal) */
/*     {1, 0, 0, 0},	*/		  /* Lage (Quaternion) */
/*     {0.96592583, 0, 0.25881905, 0},*/	 
     {0.96592583, 0.14942925, 0.14942925, 0.14942925},
     {0, 0, 0},				  /* Beschleunigung */
     {0, 0, 0},				  /* Drehbeschleunigung */
     1,					  /* AStatus selected */
     0, 45000, 0 			  /* R, G, B */

};

TKoerper k4 = {
     &k1,				  /* *Naechster */
     EBENE,				  /* Art */
     { {0.2, 0.0, 0.0} },		  /* Form */
     2,					  /* Material (ist mir momentan egal) */
     1.0,				  /* Masse (ist mir ganz egal) */
     {0.0, -0.0, -0.5},                     /* Position */
     {0, 0, 0},				  /* Geschwindigkeit */
     {0, 0, 0},				  /* Drehgeschwindigkeit (egal) */
#if 1
     {1, 0, 0, 0},
#endif
#if 0
     {0.75, 0.25, 0.4330127, 0.4330127},  /* Lage (Quaternion) */
#endif
     {0, 0, 0},				  /* Beschleunigung */
     {0, 0, 0},				  /* Drehbeschleunigung */
     0,					  /* AStatus */
     0, 20000, 50000		  /* R, G, B */

};


TKoerper k0 = {
     &k4,				  /* *Naechster */
     KUGEL,				  /* Art */
     { {0.2, 0.0, 0.0} },		  /* Form */
     EISEN,				  /* Material (ist mir momentan egal) */
     1.0,				  /* Masse (ist mir ganz egal) */
     {-0.1, 0.3, 3.0},                     /* Position */
     {0, 0, 0},				  /* Geschwindigkeit */
     {0, 0, 0},				  /* Drehgeschwindigkeit (egal) */
     {1, 0, 0, 0},			  /* Lage (Quaternion) */
/*     {0.96592583, 0, 0.25881905, 0},	 */
     {0, 0, 0},				  /* Beschleunigung */
     {0, 0, 0},				  /* Drehbeschleunigung */
     0,					  /* AStatus */
     0, 50000, 50000		  /* R, G, B */

};




TVerbindung v1 = 
{
     NULL,				  /* Naechste */
     STANGE,				  /* Art */
     &k1,				  /* *Koerper1 */
     &k2,				  /* *Koerper2 */
     { 0, 0, 0},			  /* VPunkt1 */
     { 0, 0, 0},			  /* VPunkt2 */
     {{ 0, 0 }}				  /* VerParameter.Laenge */
};

TVerbindung v2 = 
{
     &v1,				  /* Naechste */
     FEDER,				  /* Art */
     &k1,				  /* *Koerper1 */
     &k0,				  /* *Koerper2 */
     { 0, 0, 0},			  /* VPunkt1 */
     { 0, 0, 0},			  /* VPunkt2 */
     {{ 0.3, 1000 }}			  /* VerParameter.Laenge/Federkonstante */
};

TVerbindung v3 = 
{
     &v2,				  /* Naechste */
     DAEMPFER,				  /* Art */
     &k2,				  /* *Koerper1 */
     &k0,				  /* *Koerper2 */
     { 0, 0, 0},			  /* VPunkt1 */
     { 0, 0, 0},			  /* VPunkt2 */
     {{ 0, 1000 }}			  /* VerParameter.Laenge/Federkonstante */
};


TZustand z = {
     0.0,				  /* Zeit (egal) */
     &k0,				  /* Koerperliste */
     &v3,				  /* Verbindungsliste */
     &GrundMaterialien			  /* Materialtabelle (noch leer) */
};




