/********************************************************************************
 *  Projektname		: AERO
 *  Filename		: bspzustaende.c
 *  Filetyp		: C-Source
 ********************************************************************************
 *  Modulname		: bspzustaende.o
 *  letzte Aenderung	: 27.01.93
 *  Autor		: Horst Stolz (HUS)
 *  Status:		: ungetestetes Dummy-File
 *  
 *  Beschreibung:
 *    Liefert einige einfache Anfangszustaende dir man (hoeffentlich) verifizieren
 *    kann. 
 *  Noch zu machen:
 *
 *  Versionsgeschichte:
 *  26.01.93     Zustaende zkugelvskugel1..3
 *  27.01.93     Zustaende zkugelvsebene1
 *
 ********************************************************************************/

#include "zustand.h"



/* pendel1:
 *
 * einfaches Pendel:
 * Kugel ueber eine Feder an einem starren Punkt aufgehangen.
 * Federlaenge ist 1m, Kugelradius 10cm, Kugelmasse 1kg 
 * Aufhaengepunkt liegt im Koordinatenursprung, Pendel schwing
 * in der y-z Eebene von rechts (y=+1.0) nach links (y=-1.0)
 * Da die Feder am Massenmittelpunkt der Kugel angebracht ist kommt
 * es nicht zur Drehung der Kugel (=> Massepunkt-Pendel)
 *
 * Interessante Achsen: 2y 2z
 */
TKoerper k2 = {
    0,
    KUGEL, { 0.031280397 }, EISEN, 0.0,
    {0,1.0,0.0},{0,0,0},{0,0,0},{1,0,0,0},
    {0,0,0},{0,0,0},
};
TKoerper k1 = {
    &k2, NAGEL, {0}, PLASTIK, 0.0,
    {0,0,0},{0,0,0},{0,0,0},{1,0,0,0},
    {0,0,0},{0,0,0},
};
TVerbindung v1 = {
    0, FEDER, &k1, &k2, {0,0,0}, {0,0.0,0.0}, {1.0, 10000}
};
TZustand zpendel1 = {
    0.0, &k1, &v1, &GrundMaterialien, TRUE, {0.0, 0.0, -9.81}
};

char *worldnames[] = {
	"pendel1",
	 0
};

TZustand *worlds[] = {
	&zpendel1,
	0
};


