/********************************************************************************
 *  Projektname:	AERO
 *  Filename:		rayausg.h
 *  Filetyp:		Header
 ********************************************************************************
 *  Modulname:		Anzeige
 *  Version:		0.0.1
 *  letzte Aenderung:	18.5.93
 *  Autor:  		Hartmut 
 *  Status:		Definitionen fuer rayausg.c
 *		       							
 *  exp. Bezeichner:
 *  ----------------
 *
 *  Beschreibung:
 *  -------------
 *  In diesem Header werden einige Makros definiert, die eventuell an die
 *  Umgebung anzupassen sind (Beispiel: Filename des AERO-Includefiles fuer
 *  den POV-Ray).
 *
 *  Fehler:
 *  -------
 *
 *  Versionsgeschichte:					       	
 *  -------------------						       	
 *   0.0.1:   Grundlegende Version 
 ********************************************************************************/


/***********************************************************************
 *  Filename fuer das POV-Ray Include-File mit den Grundkoerpern
 ***********************************************************************/

#define POVRAYBASICFILENAME "aero.inc"


/***********************************************************************
 *  Filename fuer das POV-Ray Include-File mit den Materialien
 ***********************************************************************/

#define POVRAYMATERIALFILENAME "aeromaterials.inc"




/***********************************************************************
 *  Namen fuer die einzelnen Koerper, so wie sie in POVRAYBASICFILENAME
 *  benannt sind.
 ***********************************************************************/

#define PovrayQuader   "aerobox"       
#define PovrayZylinder "aerocylinder"
#define PovrayKugel    "aerosphere"
#define PovrayEbene    "aeroplane"

/***********************************************************************
 *  Namen fuer die einzelnen Koerper, so wie sie in POVRAYBASICFILENAME
 *  benannt sind.
 ***********************************************************************/

#define PovrayStange     "aerorod"
#define PovrayGelenk     "aerojoint"
#define PovrayDaempfer   "aerodamper"
#define PovrayFederTeil  "aerospringpart"
#define PovrayFederBound "aerospringbound"


/***********************************************************************
 *  Namen fuer die Texturen, die fuer die Verbindungen benutzt werden und
 *  die in POVRAYBASICFILENAME verwendet werden.
 ***********************************************************************/

#define PovrayStangenTextur  "aerorodtexture"
#define PovrayGelenkTextur   "aerojointtexture"
#define PovrayDaempferTextur "aerodampertexture"
#define PovrayFederTextur    "aerospringtexture"

